Search documentation of grizzly

# View Source Grizzly.ZWave.Commands.SwitchMultilevelStartLevelChange (grizzly v7.4.2)

Module for the SWITCH_MULTILEVEL_START_LEVEL_CHANGE

Params:

- `:up_down` - initiating change of level :up or :down
- `:duration` - seconds to take to go from 0 to 99, or 99 to 0 - optional v2

Note that support for secodary switch introduced in v3 is deprecated and ignored here. A controller SHOULD ignore Start Level; it is always ignored here.

# Summary

## Types

param()

## Functions

decode_up_down(int)
encode_up_down(atom)

# Types

Link to this type

# param()

View Source

    @type param() :: {:up_down, :up | :down} | {:duration, byte()}

# Functions

Link to this function

# decode_up_down(int)

View Source
Link to this function

# encode_up_down(atom)

View Source